<?php
$helper = $this->helper('MGS\Blog\Helper\Data');
$post = $block->getCurrentPost();
?>
<?php if ($this->getConfig('comment_settings/enabled')): ?>
    <div class="post-comments">
        <a name="comment-box"></a>
        <h2><?php echo __('Post Comments'); ?></h2>
        <?php echo $block->getChildHtml('post_view_comment_list'); ?>
        <?php if ($this->getConfig('comment_settings/login_required')): ?>
            <?php if ($helper->checkLoggedIn()): ?>
                <form class="form post-comment"
                      action="<?php echo $this->getUrl('blog/post/comment'); ?>"
                      id="post-comment-form"
                      method="post"
                      data-hasrequired="<?php echo __('* Required Fields') ?>"
                      data-mage-init='{"validation":{}}'>
                    <fieldset class="fieldset">
                        <legend class="legend"><span><?php echo __('Submit Comment') ?></span></legend>
                        <br/>
                        <div class="field name required">
                            <label class="label" for="name"><span><?php echo __('Name') ?></span></label>
                            <div class="control">
                                <input name="name" id="name" title="<?php echo __('Name') ?>" value="<?php echo $block->escapeHtml($this->helper('Magento\Contact\Helper\Data')->getUserName()) ?>" class="input-text" type="text" data-validate="{required:true}"/>
                            </div>
                        </div>
                        <div class="field email required">
                            <label class="label" for="email"><span><?php echo __('Email') ?></span></label>
                            <div class="control">
                                <input name="email" id="email" title="<?php echo __('Email') ?>" value="<?php echo $block->escapeHtml($this->helper('Magento\Contact\Helper\Data')->getUserEmail()) ?>" class="input-text" type="email" data-validate="{required:true, 'validate-email':true}"/>
                            </div>
                        </div>
                        <div class="field form-group comment required">
                            <label class="label" for="content"><span><?php echo __('Content') ?></span></label>
                            <div class="control">
                                <textarea name="content" id="content" title="<?php echo __('Content') ?>" class="input-text form-control" cols="5" rows="3" data-validate="{required:true}"></textarea>
                            </div>
                        </div>

                    </fieldset>
                    <input type="hidden" name="post_id" value="<?php echo $post->getId(); ?>"/>
                    <div class="actions-toolbar">
                        <div class="primary">
                            <button type="submit" title="<?php echo __('Submit') ?>" class="action submit btn btn-primary">
                                <span><?php echo __('Submit') ?></span>
                            </button>
                        </div>
                    </div>
                </form>
            <?php else: ?>
                <p><?php echo __('You must be logged in to post a comment.'); ?></p>
                <p><a href="<?php echo $this->getUrl('customer/account/login'); ?>"><?php echo __('Click here'); ?></a> <?php echo __('to log in'); ?></p>
            <?php endif; ?>
        <?php else: ?>
            <form class="form post-comment"
                  action="<?php echo $this->getUrl('blog/post/comment'); ?>"
                  id="post-comment-form"
                  method="post"
                  data-hasrequired="<?php echo __('* Required Fields') ?>"
                  data-mage-init='{"validation":{}}'>
                <fieldset class="fieldset">
                    <legend class="legend"><span><?php echo __('Submit Comment') ?></span></legend>
                    <br/>
                    <div class="field name required">
                        <label class="label" for="name"><span><?php echo __('Name') ?></span></label>
                        <div class="control">
                            <input name="name" id="name" title="<?php echo __('Name') ?>" value="<?php echo $block->escapeHtml($this->helper('Magento\Contact\Helper\Data')->getUserName()) ?>" class="input-text" type="text" data-validate="{required:true}"/>
                        </div>
                    </div>
                    <div class="field email required">
                        <label class="label" for="email"><span><?php echo __('Email') ?></span></label>
                        <div class="control">
                            <input name="email" id="email" title="<?php echo __('Email') ?>" value="<?php echo $block->escapeHtml($this->helper('Magento\Contact\Helper\Data')->getUserEmail()) ?>" class="input-text" type="email" data-validate="{required:true, 'validate-email':true}"/>
                        </div>
                    </div>
                    <div class="field comment required">
                        <label class="label" for="content"><span><?php echo __('Content') ?></span></label>
                        <div class="control">
                            <textarea name="content" id="content" title="<?php echo __('Content') ?>" class="input-text form-control" cols="5" rows="3" data-validate="{required:true}"></textarea>
                        </div>
                    </div>
                </fieldset>
                <input type="hidden" name="post_id" value="<?php echo $post->getId(); ?>"/>
                <div class="actions-toolbar">
                    <div class="primary">
                        <button type="submit" title="<?php echo __('Submit') ?>" class="action submit btn btn-primary">
                            <span><?php echo __('Submit') ?></span>
                        </button>
                    </div>
                </div>
            </form>
        <?php endif; ?>
    </div>
<?php endif; ?>
